import { LockFileData } from './lock-file-type';
/**
 * Parses pnpm-lock.yaml file to `LockFileData` object
 *
 * @param lockFile
 * @returns
 */
export declare function parsePnpmLockFile(lockFile: string): LockFileData;
/**
 * Generates pnpm-lock.yml file from `LockFileData` object
 *
 * @param lockFile
 * @returns
 */
export declare function stringifyPnpmLockFile(lockFileData: LockFileData): string;
/**
 * Prunes the lock file data based on the list of packages and their transitive dependencies
 *
 * @param lockFileData
 * @returns
 */
export declare function prunePnpmLockFile(lockFileData: LockFileData, packages: string[]): LockFileData;
